Subject: Re: Help needed on 2.54.0-rc0 t5301.13 looping.

From: Adrian Ratiu <[email-masked]>
Date: Wed, 08 Apr 2026 20:01:25 +0300

On Wed, 08 Apr 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> Thanks Peff for the in-depth analysis, fix and test.
>> It is very much appreciated. I missed this case.
>>
>> I agree with your assesement: this must be fixed regardless if it also
>> fixes Randall's case or not (might be a separate root cause).
>>
>> I would proceed like this (obviously crediting you for the fix & test):
>>
>> If it fixes Randall's case:
>>    send a standalone bug-fix patch, then integrate the test into the
>>    parallel series.
>> else
>>    integrate both the fix and the test into the parallel series.
>>
>> @Randall please let us know if the fix proposed by Peff in the other
>> response works for you.
>
> It sounds sensible, but a standalone fix early before 2.54 final, as
> the problem and the fix shown by Peff here looked correct, without
> waiting for NonStop may be simpler to work with.  Then, rebuild
> parallel series on top of the 'master' that has the fix applied,
> perhaps?

Yes, that is the path forward now that Randall also confirmed the fix
works on NonStop (btw thank you Randall). :)

Just waiting for Peff to tell me if he wants to send it himself.